Summary:		C library implementation of the SyncML protocol
Name:			libsyncml
Version:		0.4.5
Release:		0
License:		LGPL
Group:			Development/Libraries
Source:			%{name}-%{version}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}
Requires:		wbxml2 libsoup >= 2.2.91 openobex >= 1.1 bluez-libs
BuildRequires:		wbxml2-devel libsoup-devel >= 2.2.91 openobex-devel >= 1.1 bluez-libs-devel

%description
C library implementation of the SyncML protocol

%package devel
Summary:		Header files, libraries and development documentation for %{name}
Group:			Development/Libraries
Requires:		%{name} = %{version}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q

%build
%configure --enable-http --enable-obex
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/syncml-http-server
%{_bindir}/syncml-obex-client
%{_libdir}/libsyncml.la
%{_libdir}/libsyncml.so
%{_libdir}/libsyncml.so.0
%{_libdir}/libsyncml.so.0.0.0

%files devel
%defattr(-,root,root)
%{_includedir}/libsyncml-1.0/libsyncml/http_client.h
%{_includedir}/libsyncml-1.0/libsyncml/http_server.h
%{_includedir}/libsyncml-1.0/libsyncml/obex_client.h
%{_includedir}/libsyncml-1.0/libsyncml/sml_auth.h
%{_includedir}/libsyncml-1.0/libsyncml/sml_base64.h
%{_includedir}/libsyncml-1.0/libsyncml/sml_command.h
%{_includedir}/libsyncml-1.0/libsyncml/sml_defines.h
%{_includedir}/libsyncml-1.0/libsyncml/sml_devinf.h
%{_includedir}/libsyncml-1.0/libsyncml/sml_ds_server.h
%{_includedir}/libsyncml-1.0/libsyncml/sml_elements.h
%{_includedir}/libsyncml-1.0/libsyncml/sml_error.h
%{_includedir}/libsyncml-1.0/libsyncml/sml_md5.h
%{_includedir}/libsyncml-1.0/libsyncml/sml_notification.h
%{_includedir}/libsyncml-1.0/libsyncml/sml_parse.h
%{_includedir}/libsyncml-1.0/libsyncml/sml_session.h
%{_includedir}/libsyncml-1.0/libsyncml/sml_transport.h
%{_includedir}/libsyncml-1.0/libsyncml/syncml.h
%{_includedir}/libsyncml-1.0/libsyncml/obex_server.h
%{_includedir}/libsyncml-1.0/libsyncml/sml_devinf_obj.h
%{_includedir}/libsyncml-1.0/libsyncml/sml_manager.h
%{_libdir}/pkgconfig/libsyncml-1.0.pc


%changelog
* Wed Apr 26 2006 Dumitru Ciobarcianu <cioby@ines.ro> 0.3.0
- Initial package
